classification
Title: Undocumented urllib functions
Type: enhancement Stage: needs patch
Components: Documentation Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: barry, docs@python, ezio.melotti, georg.brandl, orsenthil, plasticgap, python-dev, terry.reedy
Priority: low Keywords: easy

Created on 2008-01-02 18:31 by barry, last changed 2013-05-02 12:53 by orsenthil. This issue is now closed.

Messages (7)
msg59102 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2008-01-02 18:33
urllib.splithost() and .splittype() are included in urllib's __all__ but
are not documented in urllib's module documentation.  They are used
quite extensively in the module so they should be documented
msg59483 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-01-07 19:22
There are quite a lot more functions in __all__, more than 10 split*
functions... should they all be documented?

Also, isn't urlparse meant to do such tasks?
msg59577 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2008-01-09 00:32
> Georg Brandl added the comment:
> 
> There are quite a lot more functions in __all__, more than 10 split*
> functions... should they all be documented?
> 
> Also, isn't urlparse meant to do such tasks?

I agree. I too feel that not everything in the __all__ list should be
documented. And in this specific case of splithost, it is more appropriate for
the user to use urlparse.
msg113210 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-08-07 21:27
When internal functions lack '_', perhaps the doc should say "xys,uie, and ooe are intentionally undocumented internal functions." Otherwise, how is one supposed to know?
msg188014 - (view) Author: Nathan Housel (plasticgap) Date: 2013-04-28 19:06
This has been fixed in trunk, the split* methods have documentation and appear in the module docs. 

See:
>>> help('urllib')
msg188263 - (view) Author: Roundup Robot (python-dev) Date: 2013-05-02 12:50
New changeset c3656dca65e7 by Senthil Kumaran in branch '2.7':
# 1722 - Add a note on urllib helper functions like splittype, splithost etc.
http://hg.python.org/cpython/rev/c3656dca65e7
msg188264 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2013-05-02 12:53
I had added a note in the documentation  c3656dca65e7 conveying that splittype, splithost should not be relied upon, and urlparse should be used for parsing. Also, Python3 does not include these in __all__ - It is in Python2 for backwards compatibility purposes. It is not possible provide deprecation warning to things we leave off from __all__ from subsequent versions of python.
I consider this request as resolved. Thanks!
History
Date User Action Args
2013-05-02 12:53:36orsenthilsetstatus: open -> closed
resolution: fixed
messages: + msg188264

versions: - Python 3.1, Python 3.2
2013-05-02 12:50:36python-devsetnosy: + python-dev
messages: + msg188263
2013-04-28 19:06:57plasticgapsetnosy: + plasticgap
messages: + msg188014
2010-09-18 18:38:01BreamoreBoysetassignee: georg.brandl -> docs@python

nosy: + docs@python
2010-08-07 21:27:40terry.reedysetnosy: + terry.reedy

messages: + msg113210
versions: - Python 2.6
2010-01-17 07:26:00ezio.melottisetnosy: + ezio.melotti
2010-01-15 22:06:16brian.curtinsetkeywords: + easy
stage: needs patch
type: enhancement
versions: + Python 2.6, Python 3.1, Python 2.7, Python 3.2, - Python 2.5
2008-01-09 00:32:44orsenthilsetnosy: + orsenthil
messages: + msg59577
2008-01-07 19:22:09georg.brandlsetmessages: + msg59483
2008-01-02 18:47:22gvanrossumsetassignee: georg.brandl
nosy: + georg.brandl
2008-01-02 18:33:00barrysetmessages: + msg59102
2008-01-02 18:31:39barrycreate